import matplotlib.pyplot as plt
import astropy.units as u

from shocksgo import generate_solar_fluxes

times, fluxes, kernel = generate_solar_fluxes(duration=10*u.hour, cadence=60*u.s)

plt.plot(times.to(u.hour), 1e6 * fluxes)
plt.gca().set(xlabel='Time [hours]', ylabel='Relative Flux [ppm]')
plt.show()